Can Java Cryptography Extension (JCE) Jar Files From Hotspot Be Used With JRockit JDK/JRE? (Doc ID 2262067.1)

Last updated on MAY 08, 2017

Applies to:

Oracle WebLogic Server - Version 10.3.6 and later
Information in this document applies to any platform.

Goal

In order to support unlimited strength support, can security policy jar files included in jce_policy-6.zip be installed for use with Oracle WebLogic Server (WLS)?

Reference:
Java Cryptography Extension (JCE) Unlimited Strength Jurisdiction Policy Files 6
https://www.oracle.com/technetwork/java/javase/downloads/jce-6-download-429243.html

This is to replace the jar files local_policy.jar and US_export_policy.jar in jrockit-jdk1.6.0 in the JRE/lib/security directory which is already the JDK/JRE configured with WLS.

 

Solution

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms